CREATE TABLE tokens (
    id bigint(20) NOT NULL AUTO_INCREMENT,
    token varchar(50) NOT NULL,
    email_address varchar(200) NOT NULL,
    sp_entityid varchar(200) NOT NULL,
    creation_date datetime DEFAULT NULL,
    expiration_date datetime DEFAULT NULL,
    PRIMARY KEY (id),
    UNIQUE KEY token_2 (token),
    KEY token (token),
    CONSTRAINT token_email_entity UNIQUE (email_address(50),sp_entityid(50))
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE entities (
    id bigint(20) NOT NULL AUTO_INCREMENT,
    type varchar(3) NOT NULL,
    entityid varchar(200) NOT NULL,
    information_url varchar(200) DEFAULT NULL,
    organization_url varchar(200) DEFAULT NULL,
    displayname varchar(500) DEFAULT NULL,
    contacts varchar(2000) DEFAULT NULL,
    federations varchar(50) DEFAULT NULL,
    PRIMARY KEY (id),
    KEY entityid (entityid)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

CREATE TABLE accounts (
    id bigint(20) NOT NULL AUTO_INCREMENT,
    token varchar(50) NOT NULL,
    password_crypt varchar(50) NOT NULL,
    password_hash varchar(50) NOT NULL,
    creation_date datetime DEFAULT NULL,
    expiration_date datetime DEFAULT NULL,
    profile varchar(100) NOT NULL,
    scope varchar(100) NOT NULL,
    sp_entityid varchar(250) NOT NULL,
    PRIMARY KEY (id)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;
